Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232589 - mkinitrd adds dependency on parted
Summary: mkinitrd adds dependency on parted
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd
Version: 6
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: ---
Assignee: Peter Jones
QA Contact: David Lawrence
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 09:19 UTC by Benny Amorsen
Modified: 2008-05-05 22:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-05 22:56:37 UTC


Attachments (Terms of Use)

Description Benny Amorsen 2007-03-16 09:19:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; da-DK; rv:1.8.0.10) Gecko/20070313 Fedora/1.5.0.10-5.fc6 Firefox/1.5.0.10

Description of problem:
Before 5.1.19.0.3-1, parted was not necessary on a minimal system. Now it is required, due to the dependency chain kernel->mkinitrd->parted

Version-Release number of selected component (if applicable):
5.1.19.0.3-1

How reproducible:
Always


Steps to Reproduce:
# rpm -e parted
error: Failed dependencies:
        libparted-1.8.so.2()(64bit) is needed by (installed) mkinitrd-5.1.19.0.3-1.x86_64

Actual Results:


Expected Results:


Additional info:

Comment 1 Bug Zapper 2008-04-04 06:32:55 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 2 Benny Amorsen 2008-04-04 10:10:48 UTC
The problem still exists in F8. Parted should probably be split in two packages,
but I'm not volunteering to do it. This bug can be closed 'WONTFIX'.

Comment 3 John Poelstra 2008-05-05 22:56:37 UTC
thanks for your update


Note You need to log in before you can comment on or make changes to this bug.